# Installation

The instructions below will help you to properly install the generated package to the lavalite project.

## Location

Extract the package contents to the folder 

`/packages/rachel/experiment_consulting_and_design_service/`

## Composer

Add the below entries in the `composer.json` file's autoload section and run the command `composer dump-autoload` in terminal.

```json

...
     "autoload": {

        "psr-4": {
            ... ,
            "Rachel\\ExperimentConsultingAndDesignService\\": "packages/rachel/experiment_consulting_and_design_service/src",
            "Rachel\\ExperimentConsultingAndDesignService\\Seeders\\": "packages/rachel/experiment_consulting_and_design_service/database/seeders"
            
            ...
        }
    },
...

```

## Config

Add the entries in service provider in `config/app.php`

```php

...
    'providers'       => [
        ...
        
        Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider::class,
        
        ...
    ],

    ...

    'alias'             => [
        ...
        
        'ExperimentConsultingAndDesignService'  => Rachel\ExperimentConsultingAndDesignService\Facades\ExperimentConsultingAndDesignService::class,
        
        ...
    ]
...

```

## Migrate

After service provider is set run the commapnd to migrate and seed the database.


    php artisan migrate
    php artisan db:seed --class=Rachel\\ExperimentConsultingAndDesignService\\Seeders\\ExperimentConsultingAndDesignServiceTableSeeder

## Publishing


**Publishing configuration**

    php artisan vendor:publish --provider="Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Rachel\ExperimentConsultingAndDesignService\Providers\ExperimentConsultingAndDesignServiceServiceProvider" --tag="view"


## URLs and APIs


### Web Urls

**Admin**

    http://path-to-route-folder/admin/experiment_consulting_and_design_service/{modulename}

**User**

    http://path-to-route-folder/user/experiment_consulting_and_design_service/{modulename}

**Public**

    http://path-to-route-folder/experiment_consulting_and_design_services


### API endpoints

**List**
 
    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/experiment_consulting_and_design_service/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/experiment_consulting_and_design_service/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/experiment_consulting_and_design_service/{modulename}/{slug}
    METHOD: GET